Apache log4cxx: log4cxx::spi Namespace Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

# log4cxx::spi Namespace Reference

## Classes
class | AppenderAttachable
| This Interface is for attaching Appenders to objects. More...
class | Configurator
| Implemented by classes capable of configuring log4j using a URL. More...
class | DefaultRepositorySelector
class | ErrorCode
class | ErrorHandler
| Appenders may delegate their error handling to `ErrorHandlers`. More...
class | Filter
| Users should extend this class to implement customized logging event filtering. More...
class | HierarchyEventListener
| Listen to events occuring within a Hierarchy. More...
class | LocationInfo
| This class represents the location of a logging statement. More...
class | LoggerFactory
| Implement this interface to create new instances of Logger or a sub-class of Logger. More...
class | LoggerRepository
| A `LoggerRepository` is used to create and retrieve `Loggers`. More...
class | LoggingEvent
| The internal representation of logging events. More...
class | OptionHandler
| A string based interface to configure package components. More...
class | RepositorySelector
| The `LogManager` uses one (and only one) `RepositorySelector` implementation to select the LoggerRepository for a particular application context. More...
class | RootLogger
| RootLogger sits at the top of the logger hierachy. More...
class | TriggeringEventEvaluator
| Implementions of this interface allow certain appenders to decide when to perform an appender specific action. More...
## Typedefs
typedef helpers::ObjectPtrT< LoggingEvent > | LoggingEventPtr
typedef helpers::ObjectPtrT< Filter > | FilterPtr
typedef log4cxx::helpers::ObjectPtrT< ErrorHandler > | ErrorHandlerPtr
typedef log4cxx::helpers::ObjectPtrT< ErrorHandler > | ErrorHandlerPtr
typedef helpers::ObjectPtrT< LoggerRepository > | LoggerRepositoryPtr
typedef helpers::ObjectPtrT< LoggingEvent > | LoggingEventPtr
typedef helpers::ObjectPtrT< LoggerRepository > | LoggerRepositoryPtr
typedef helpers::ObjectPtrT< LoggerFactory > | LoggerFactoryPtr
typedef helpers::ObjectPtrT< OptionHandler > | OptionHandlerPtr
typedef helpers::ObjectPtrT< LoggerRepository > | LoggerRepositoryPtr
## Functions
| LOG4CXX_PTR_DEF (LoggerRepository)
| LOG4CXX_PTR_DEF (LoggerFactory)
| LOG4CXX_PTR_DEF (AppenderAttachable)
| LOG4CXX_PTR_DEF (Configurator)
| LOG4CXX_PTR_DEF (ErrorHandler)
| LOG4CXX_PTR_DEF (Filter)
| LOG4CXX_PTR_DEF (HierarchyEventListener)
| LOG4CXX_LIST_DEF (HierarchyEventListenerList, HierarchyEventListenerPtr)
| LOG4CXX_PTR_DEF (LoggingEvent)
| LOG4CXX_LIST_DEF (LoggingEventList, LoggingEventPtr)
| LOG4CXX_PTR_DEF (RepositorySelector)
| LOG4CXX_PTR_DEF (TriggeringEventEvaluator)

## Typedef Documentation

typedef log4cxx::helpers::ObjectPtrT<ErrorHandler> ErrorHandlerPtr

typedef log4cxx::helpers::ObjectPtrT<ErrorHandler> ErrorHandlerPtr

typedef helpers::ObjectPtrT<Filter> FilterPtr

typedef helpers::ObjectPtrT<LoggerFactory> LoggerFactoryPtr

typedef helpers::ObjectPtrT<LoggerRepository> LoggerRepositoryPtr

typedef helpers::ObjectPtrT<LoggerRepository> LoggerRepositoryPtr

typedef helpers::ObjectPtrT<LoggerRepository> LoggerRepositoryPtr

typedef helpers::ObjectPtrT<LoggingEvent> LoggingEventPtr

typedef helpers::ObjectPtrT<LoggingEvent> LoggingEventPtr

typedef helpers::ObjectPtrT<OptionHandler> OptionHandlerPtr

## Function Documentation

log4cxx::spi::LOG4CXX_LIST_DEF | ( | LoggingEventList | ,
|  | LoggingEventPtr |
| ) |

log4cxx::spi::LOG4CXX_LIST_DEF | ( | HierarchyEventListenerList | ,
|  | HierarchyEventListenerPtr |
| ) |

log4cxx::spi::LOG4CXX_PTR_DEF | ( | TriggeringEventEvaluator |  | ) |

log4cxx::spi::LOG4CXX_PTR_DEF | ( | RepositorySelector |  | ) |

log4cxx::spi::LOG4CXX_PTR_DEF | ( | LoggingEvent |  | ) |

log4cxx::spi::LOG4CXX_PTR_DEF | ( | HierarchyEventListener |  | ) |

log4cxx::spi::LOG4CXX_PTR_DEF | ( | Filter |  | ) |

log4cxx::spi::LOG4CXX_PTR_DEF | ( | ErrorHandler |  | ) |

log4cxx::spi::LOG4CXX_PTR_DEF | ( | Configurator |  | ) |

log4cxx::spi::LOG4CXX_PTR_DEF | ( | AppenderAttachable |  | ) |

log4cxx::spi::LOG4CXX_PTR_DEF | ( | LoggerFactory |  | ) |

log4cxx::spi::LOG4CXX_PTR_DEF | ( | LoggerRepository |  | ) |